QtPass install installs/removes/upgrades many packages

If none of the more specific forums is the right place to ask

QtPass install installs/removes/upgrades many packages

Postby scott092707 » 2019-12-13 01:36

A week or so ago, I installed qtpass to try it out as a password manager.
That was version 1.3.0-2, and SegFaulted.

I waited until a couple of days ago, when 1.3.2-1 apparently solved that issue, and I installed it.

In doing so, I was confused to find that for some reason, some packages were to be removed.
I copied the terminal log of the install, and later noted that not only 9 packages would be removed,
but 84 packages would be installed or upgraded.

Since I had already installed qtpass, I don't know why all this happened.
[At least] 2 of the removed packages were ones I had intentionally installed, and used.

I have since re-installed them (which re-installed 3 more, as dependencies), and since this was
successful, I have to assume that they were NOT removed because of conflicting dependencies...

Does anyone have a clue what is going on?

I assume that this is a bug, but don't know whether I should file it against qtpass or apt (or ... ?)

Most of the packages seem A/V related, somehow...

I will show my system stats and apt sources here, and attach the terminal log.

Code: Select all
scott@ASUS-PRIME-B350M-A-CSM:~$ uname -a
Linux ASUS-PRIME-B350M-A-CSM 4.19.0-2-amd64 #1 SMP Debian 4.19.16-1 (2019-01-17) x86_64 GNU/Linux

scott@ASUS-PRIME-B350M-A-CSM:~$ lsb_release -dsc
Debian GNU/Linux bullseye/sid
bullseye
scott@ASUS-PRIME-B350M-A-CSM:~$ echo $DESKTOP_SESSION
/usr/share/xsessions/lxqt

scott@ASUS-PRIME-B350M-A-CSM:~$ apt-cache policy qtpass
qtpass:
  Installed: 1.3.2-1
  Candidate: 1.3.2-1                                                                                                                                                                                                                                                                                                                                                                                                                   
  Version table:                                                                                                                                                                                                                                                                                                                                                                                                                       
 *** 1.3.2-1 500                                                                                                                                                                                                                                                                                                                                                                                                                       
        500 https://deb.debian.org/debian testing/main amd64 Packages                                                                                                                                                                                                                                                                                                                                                                 
        100 /var/lib/dpkg/status                                                                                                                                                                                                                                                                                                                                                                                                       

scott@ASUS-PRIME-B350M-A-CSM:~$ cat /etc/apt/sources.list
# See https://wiki.debian.org/SourcesList for more information.

deb https://deb.debian.org/debian/ testing main contrib non-free
deb-src https://deb.debian.org/debian/ testing main contrib non-free

deb https://deb.debian.org/debian/ testing-updates main contrib non-free
deb https://deb.debian.org/debian-debug/ testing-debug main contrib non-free 

deb https://security.debian.org/debian-security/ testing/updates non-free contrib main
deb-src https://security.debian.org/debian-security/ testing/updates main contrib non-free

deb http://ppa.launchpad.net/mkusb/ppa/ubuntu/ xenial main



Hmmm... apparently I am not allowed to upload a text file ("The extension txt is not allowed."),
sooo.... I guess I will include the install log as another block of code...

Code: Select all
scott@ASUS-PRIME-B350M-A-CSM:~$ sudo apt-get install qtpass
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  aria2 fcitx-frontend-qt4 libaria2-0 libc-ares2 libdouble-conversion1 libkf5xmlgui-bin libqscintilla2-qt5-13 libqscintilla2-qt5-l10n libqt5pas1 libqt5webengine5 libreoffice-avmedia-backend-gstreamer phantomjs python3-pyxattr rtmpdump uim-fep uim-xim youtube-dl
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  fcitx-frontend-qt5 ffmpeg libavcodec-extra58 libavdevice58 libavfilter-extra7 libavformat58 libavresample4 libavutil56 libdirectfb-1.7-7 libdouble-conversion3 libdvdread7 libenca0 libevent-2.1-7 libfm-qt6 libkf5windowsystem-data libkf5windowsystem5 libkf5xmlgui5 liblensfun-data-v1 liblensfun1 libpostproc55 libpyside2-5.11 libqt5core5a libqt5dbus5 libqt5designer5 libqt5gui5 libqt5multimedia5 libqt5multimedia5-plugins
  libqt5multimediagsttools5 libqt5multimediawidgets5 libqt5network5 libqt5opengl5 libqt5positioning5 libqt5printsupport5 libqt5qml5 libqt5quick5 libqt5quickwidgets5 libqt5script5 libqt5sensors5 libqt5sql5 libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5texttospeech5 libqt5waylandclient5 libqt5waylandcompositor5 libqt5webchannel5 libqt5webengine-data libqt5webengine5 libqt5webenginecore5 libqt5webenginewidgets5
  libqt5webkit5 libqt5widgets5 libqt5xdgiconloader3 libqt5xml5 libswresample3 libswscale5 libuim-data libvorbisidec1 libvpx6 libxcb-res0 libxcb-xinput0 lxqt-qtplugin mplayer python3-pyqt5 qml-module-qtquick2 qt5-gtk-platformtheme qt5-gtk2-platformtheme qt5-style-plugin-cleanlooks qt5-style-plugin-motif qt5-style-plugin-plastique qt5-style-plugins qtpass-dbgsym qtwayland5 uim uim-anthy uim-data uim-gtk2.0
  uim-gtk2.0-immodule uim-gtk3 uim-gtk3-immodule uim-qt5 uim-qt5-immodule winff-gtk2
Suggested packages:
  ffmpeg-doc libdirectfb-extra libdvdcss2 qt5-qmltooling-plugins mplayer-doc netselect | fping python3-pyqt5-dbg winff-doc
Recommended packages:
  libkf5xmlgui-bin uim-xim uim-fep
The following packages will be REMOVED:
  ffmpegthumbnailer libavfilter7 libffmpegthumbnailer4v5 mpv newbreeze-plugins smplayer smplayer-l10n smplayer-themes winff-qt
The following NEW packages will be installed:
  libavfilter-extra7 libdirectfb-1.7-7 libdouble-conversion3 libdvdread7 libenca0 libevent-2.1-7 liblensfun-data-v1 liblensfun1 libuim-data libvorbisidec1 libvpx6 libxcb-res0 libxcb-xinput0 mplayer qt5-gtk2-platformtheme qt5-style-plugin-cleanlooks qt5-style-plugin-motif qt5-style-plugin-plastique winff-gtk2
The following packages will be upgraded:
  fcitx-frontend-qt5 ffmpeg libavcodec-extra58 libavdevice58 libavformat58 libavresample4 libavutil56 libfm-qt6 libkf5windowsystem-data libkf5windowsystem5 libkf5xmlgui5 libpostproc55 libpyside2-5.11 libqt5core5a libqt5dbus5 libqt5designer5 libqt5gui5 libqt5multimedia5 libqt5multimedia5-plugins libqt5multimediagsttools5 libqt5multimediawidgets5 libqt5network5 libqt5opengl5 libqt5positioning5 libqt5printsupport5
  libqt5qml5 libqt5quick5 libqt5quickwidgets5 libqt5script5 libqt5sensors5 libqt5sql5 libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5texttospeech5 libqt5waylandclient5 libqt5waylandcompositor5 libqt5webchannel5 libqt5webengine-data libqt5webengine5 libqt5webenginecore5 libqt5webenginewidgets5 libqt5webkit5 libqt5widgets5 libqt5xdgiconloader3 libqt5xml5 libswresample3 libswscale5 lxqt-qtplugin python3-pyqt5
  qml-module-qtquick2 qt5-gtk-platformtheme qt5-style-plugins qtpass qtpass-dbgsym qtwayland5 uim uim-anthy uim-data uim-gtk2.0 uim-gtk2.0-immodule uim-gtk3 uim-gtk3-immodule uim-qt5 uim-qt5-immodule
65 upgraded, 19 newly installed, 9 to remove and 1004 not upgraded.
Need to get 94.2 MB of archives.
After this operation, 23.7 MB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 https://deb.debian.org/debian testing/main amd64 ffmpeg amd64 7:4.2.1-2 [1,489 kB]
Get:2 https://deb.debian.org/debian testing/main amd64 mplayer amd64 2:1.3.0-8+b5 [2,313 kB]
Get:3 https://deb.debian.org/debian testing/main amd64 libswscale5 amd64 7:4.2.1-2 [193 kB]
Get:4 https://deb.debian.org/debian testing/main amd64 libavdevice58 amd64 7:4.2.1-2 [112 kB]
Get:5 https://deb.debian.org/debian testing/main amd64 libavformat58 amd64 7:4.2.1-2 [1,017 kB]
Get:6 https://deb.debian.org/debian testing/main amd64 libavcodec-extra58 amd64 7:4.2.1-2 [4,877 kB]
Get:7 https://deb.debian.org/debian testing/main amd64 libswresample3 amd64 7:4.2.1-2 [94.0 kB]
Get:8 https://deb.debian.org/debian testing/main amd64 libpostproc55 amd64 7:4.2.1-2 [92.2 kB]
Get:9 https://deb.debian.org/debian testing/main amd64 libavresample4 amd64 7:4.2.1-2 [91.0 kB]
Get:10 https://deb.debian.org/debian testing/main amd64 libavutil56 amd64 7:4.2.1-2 [263 kB]
Get:11 https://deb.debian.org/debian testing/main amd64 liblensfun-data-v1 all 0.3.2-4 [161 kB]
Get:12 https://deb.debian.org/debian testing/main amd64 liblensfun1 amd64 0.3.2-4 [57.3 kB]
Get:13 https://deb.debian.org/debian testing/main amd64 libavfilter-extra7 amd64 7:4.2.1-2 [1,101 kB]
Get:14 https://deb.debian.org/debian testing/main amd64 libvpx6 amd64 1.8.1-2 [859 kB]
Get:15 https://deb.debian.org/debian testing/main amd64 libdirectfb-1.7-7 amd64 1.7.7-9 [1,048 kB]
Get:16 https://deb.debian.org/debian testing/main amd64 libdvdread7 amd64 6.0.2-2 [84.9 kB]
Get:17 https://deb.debian.org/debian testing/main amd64 libenca0 amd64 1.19-1+b1 [62.5 kB]
Get:18 https://deb.debian.org/debian testing/main amd64 libvorbisidec1 amd64 1.2.1+git20180316-3 [73.1 kB]
Get:19 https://deb.debian.org/debian testing/main amd64 winff-gtk2 amd64 1.5.5-6 [1,792 kB]
Get:20 https://deb.debian.org/debian testing/main amd64 libqt5dbus5 amd64 5.12.5+dfsg-2 [238 kB]
Get:21 https://deb.debian.org/debian testing/main amd64 qt5-gtk-platformtheme amd64 5.12.5+dfsg-2 [154 kB]
Get:22 https://deb.debian.org/debian testing/main amd64 libqt5network5 amd64 5.12.5+dfsg-2 [703 kB]
Get:23 https://deb.debian.org/debian testing/main amd64 libxcb-xinput0 amd64 1.13.1-2 [124 kB]
Get:24 https://deb.debian.org/debian testing/main amd64 libqt5gui5 amd64 5.12.5+dfsg-2 [2,986 kB]
Get:25 https://deb.debian.org/debian testing/main amd64 fcitx-frontend-qt5 amd64 1.2.4-1 [56.8 kB]
Get:26 https://deb.debian.org/debian testing/main amd64 uim-qt5 amd64 1:1.8.8-6+b1 [115 kB]
Get:27 https://deb.debian.org/debian testing/main amd64 uim-qt5-immodule amd64 1:1.8.8-6+b1 [47.3 kB]
Get:28 https://deb.debian.org/debian testing/main amd64 uim-gtk3 amd64 1:1.8.8-6+b1 [72.3 kB]
Get:29 https://deb.debian.org/debian testing/main amd64 uim-gtk3-immodule amd64 1:1.8.8-6+b1 [39.7 kB]
Get:30 https://deb.debian.org/debian testing/main amd64 uim-gtk2.0 amd64 1:1.8.8-6+b1 [71.3 kB]
Get:31 https://deb.debian.org/debian testing/main amd64 uim-gtk2.0-immodule amd64 1:1.8.8-6+b1 [39.5 kB]
Get:32 https://deb.debian.org/debian testing/main amd64 libuim-data all 1:1.8.8-6 [32.0 kB]
Get:33 https://deb.debian.org/debian testing/main amd64 uim-data all 1:1.8.8-6 [963 kB]
Get:34 https://deb.debian.org/debian testing/main amd64 uim amd64 1:1.8.8-6+b1 [92.3 kB]
Get:35 https://deb.debian.org/debian testing/main amd64 uim-anthy all 1:1.8.8-6 [2,024 B]
Get:36 https://deb.debian.org/debian testing/main amd64 libqt5widgets5 amd64 5.12.5+dfsg-2 [2,320 kB]
Get:37 https://deb.debian.org/debian testing/main amd64 libqt5waylandclient5 amd64 5.12.5-2 [272 kB]
Get:38 https://deb.debian.org/debian testing/main amd64 libpyside2-5.11 amd64 5.11.2-3+b1 [86.7 kB]
Get:39 https://deb.debian.org/debian testing/main amd64 libqt5quick5 amd64 5.12.5-3 [1,343 kB]
Get:40 https://deb.debian.org/debian testing/main amd64 qml-module-qtquick2 amd64 5.12.5-3 [48.0 kB]
Get:41 https://deb.debian.org/debian testing/main amd64 libqt5positioning5 amd64 5.12.5+dfsg-2 [200 kB]
Get:42 https://deb.debian.org/debian testing/main amd64 libqt5printsupport5 amd64 5.12.5+dfsg-2 [223 kB]
Get:43 https://deb.debian.org/debian testing/main amd64 libqt5sensors5 amd64 5.12.5-2 [117 kB]
Get:44 https://deb.debian.org/debian testing/main amd64 libqt5webchannel5 amd64 5.12.5-2 [52.1 kB]
Get:45 https://deb.debian.org/debian testing/main amd64 libqt5webkit5 amd64 5.212.0~alpha3-5 [12.1 MB]
Get:46 https://deb.debian.org/debian testing/main amd64 libqt5quickwidgets5 amd64 5.12.5-3 [51.7 kB]
Get:47 https://deb.debian.org/debian testing/main amd64 libqt5waylandcompositor5 amd64 5.12.5-2 [302 kB]
Get:48 https://deb.debian.org/debian testing/main amd64 libqt5qml5 amd64 5.12.5-3 [1,442 kB]
Get:49 https://deb.debian.org/debian testing/main amd64 qtwayland5 amd64 5.12.5-2 [177 kB]
Get:50 https://deb.debian.org/debian testing/main amd64 qt5-style-plugins amd64 5.0.0+git23.g335dbec-3+b3 [3,780 B]
Get:51 https://deb.debian.org/debian testing/main amd64 qt5-gtk2-platformtheme amd64 5.0.0+git23.g335dbec-3+b3 [162 kB]
Get:52 https://deb.debian.org/debian testing/main amd64 qt5-style-plugin-cleanlooks amd64 5.0.0+git23.g335dbec-3+b3 [56.7 kB]
Get:53 https://deb.debian.org/debian testing/main amd64 qt5-style-plugin-motif amd64 5.0.0+git23.g335dbec-3+b3 [34.3 kB]
Get:54 https://deb.debian.org/debian testing/main amd64 qt5-style-plugin-plastique amd64 5.0.0+git23.g335dbec-3+b3 [71.5 kB]
Get:55 https://deb.debian.org/debian testing/main amd64 libqt5xml5 amd64 5.12.5+dfsg-2 [135 kB]
Get:56 https://deb.debian.org/debian testing/main amd64 libqt5designer5 amd64 5.12.5-2 [2,784 kB]
Get:57 https://deb.debian.org/debian testing/main amd64 libqt5test5 amd64 5.12.5+dfsg-2 [161 kB]
Get:58 https://deb.debian.org/debian testing/main amd64 python3-pyqt5 amd64 5.12.3+dfsg-3+b1 [3,577 kB]
Get:59 https://deb.debian.org/debian testing/main amd64 libqt5xdgiconloader3 amd64 3.4.0-1 [42.5 kB]
Get:60 https://deb.debian.org/debian testing/main amd64 lxqt-qtplugin amd64 0.14.0-3+b1 [37.2 kB]
Get:61 https://deb.debian.org/debian testing/main amd64 libqt5webenginewidgets5 amd64 5.12.5+dfsg-3+b1 [138 kB]
Get:62 https://deb.debian.org/debian testing/main amd64 libqt5webenginecore5 amd64 5.12.5+dfsg-3+b1 [32.7 MB]
Get:63 https://deb.debian.org/debian testing/main amd64 libqt5webengine5 amd64 5.12.5+dfsg-3+b1 [177 kB]                                                                                                                                                                                                                                                                                                                             
Get:64 https://deb.debian.org/debian testing/main amd64 libqt5webengine-data all 5.12.5+dfsg-3 [5,628 kB]                                                                                                                                                                                                                                                                                                                             
Get:65 https://deb.debian.org/debian testing/main amd64 libevent-2.1-7 amd64 2.1.11-stable-1 [186 kB]                                                                                                                                                                                                                                                                                                                                 
Get:66 https://deb.debian.org/debian testing/main amd64 libqt5texttospeech5 amd64 5.12.5-1 [21.3 kB]                                                                                                                                                                                                                                                                                                                                 
Get:67 https://deb.debian.org/debian testing/main amd64 libqt5svg5 amd64 5.12.5-2 [134 kB]                                                                                                                                                                                                                                                                                                                                           
Get:68 https://deb.debian.org/debian testing/main amd64 libqt5sql5 amd64 5.12.5+dfsg-2 [151 kB]                                                                                                                                                                                                                                                                                                                                       
Get:69 https://deb.debian.org/debian testing/main amd64 libqt5sql5-sqlite amd64 5.12.5+dfsg-2 [77.7 kB]                                                                                                                                                                                                                                                                                                                               
Get:70 https://deb.debian.org/debian testing/main amd64 libqt5opengl5 amd64 5.12.5+dfsg-2 [166 kB]                                                                                                                                                                                                                                                                                                                                   
Get:71 https://deb.debian.org/debian testing/main amd64 libqt5multimediagsttools5 amd64 5.12.5-1 [111 kB]                                                                                                                                                                                                                                                                                                                             
Get:72 https://deb.debian.org/debian testing/main amd64 libqt5multimedia5-plugins amd64 5.12.5-1 [202 kB]                                                                                                                                                                                                                                                                                                                             
Get:73 https://deb.debian.org/debian testing/main amd64 libqt5multimedia5 amd64 5.12.5-1 [287 kB]                                                                                                                                                                                                                                                                                                                                     
Get:74 https://deb.debian.org/debian testing/main amd64 libqt5multimediawidgets5 amd64 5.12.5-1 [42.4 kB]                                                                                                                                                                                                                                                                                                                             
Get:75 https://deb.debian.org/debian testing/main amd64 libkf5windowsystem5 amd64 5.62.0-2+b1 [132 kB]                                                                                                                                                                                                                                                                                                                               
Get:76 https://deb.debian.org/debian testing/main amd64 libkf5windowsystem-data all 5.62.0-2 [12.0 kB]                                                                                                                                                                                                                                                                                                                               
Get:77 https://deb.debian.org/debian testing/main amd64 libxcb-res0 amd64 1.13.1-2 [100 kB]                                                                                                                                                                                                                                                                                                                                           
Get:78 https://deb.debian.org/debian testing/main amd64 libkf5xmlgui5 amd64 5.62.0-1+b1 [314 kB]                                                                                                                                                                                                                                                                                                                                     
Get:79 https://deb.debian.org/debian testing/main amd64 libfm-qt6 amd64 0.14.1-12 [402 kB]                                                                                                                                                                                                                                                                                                                                           
Get:80 https://deb.debian.org/debian testing/main amd64 libdouble-conversion3 amd64 3.1.5-3 [40.0 kB]                                                                                                                                                                                                                                                                                                                                 
Get:81 https://deb.debian.org/debian testing/main amd64 libqt5script5 amd64 5.12.5+dfsg-2 [748 kB]                                                                                                                                                                                                                                                                                                                                   
Get:82 https://deb.debian.org/debian testing/main amd64 libqt5core5a amd64 5.12.5+dfsg-2 [2,028 kB]                                                                                                                                                                                                                                                                                                                                   
Get:83 https://deb.debian.org/debian-debug testing-debug/main amd64 qtpass-dbgsym amd64 1.3.2-1 [2,845 kB]                                                                                                                                                                                                                                                                                                                           
Get:84 https://deb.debian.org/debian testing/main amd64 qtpass amd64 1.3.2-1 [244 kB]                                                                                                                                                                                                                                                                                                                                                 
Fetched 94.2 MB in 9s (11.0 MB/s)                                                                                                                                                                                                                                                                                                                                                                                                     
Extracting templates from packages: 100%
(Reading database ... 340633 files and directories currently installed.)
Removing ffmpegthumbnailer (2.1.1-0.2+b1) ...
(Reading database ... 340627 files and directories currently installed.)
Preparing to unpack .../ffmpeg_7%3a4.2.1-2_amd64.deb ...
Unpacking ffmpeg (7:4.2.1-2) over (7:4.1.3-1) ...
Selecting previously unselected package mplayer.
Preparing to unpack .../mplayer_2%3a1.3.0-8+b5_amd64.deb ...
Unpacking mplayer (2:1.3.0-8+b5) ...
(Reading database ... 340660 files and directories currently installed.)
Removing smplayer-themes (1:18.6.0-1) ...
dpkg: mpv: dependency problems, but removing anyway as you requested:
 smplayer depends on mpv (>= 0.6.2) | mplayer; however:
  Package mpv is to be removed.
  Package mplayer is not configured yet.

Removing mpv (0.29.1-1) ...
dpkg: libavfilter7:amd64: dependency problems, but removing anyway as you requested:
 libffmpegthumbnailer4v5 depends on libavfilter7 (>= 7:4.0) | libavfilter-extra7 (>= 7:4.0); however:
  Package libavfilter7:amd64 is to be removed.
  Package libavfilter-extra7 is not installed.
 libavdevice58:amd64 depends on libavfilter7 (= 7:4.1.3-1); however:
  Package libavfilter7:amd64 is to be removed.
 gstreamer1.0-libav:amd64 depends on libavfilter7 (>= 7:4.0); however:
  Package libavfilter7:amd64 is to be removed.
 ffmpeg depends on libavfilter7 (= 7:4.2.1-2); however:
  Package libavfilter7:amd64 is to be removed.

Removing libavfilter7:amd64 (7:4.1.3-1) ...
dpkg: smplayer: dependency problems, but removing anyway as you requested:
 smtube depends on smplayer | mpv | mplayer | vlc | totem | dragonplayer; however:
  Package smplayer is to be removed.
  Package mpv is not installed.
  Package mplayer is not configured yet.
  Package vlc is not installed.
  Package totem is not installed.
  Package dragonplayer is not installed.
 smplayer-l10n depends on smplayer (>= 18.10.0~ds0-1).

Removing smplayer (18.10.0~ds0-1) ...
(Reading database ... 340506 files and directories currently installed.)
Preparing to unpack .../00-libswscale5_7%3a4.2.1-2_amd64.deb ...
Unpacking libswscale5:amd64 (7:4.2.1-2) over (7:4.1.3-1) ...
Preparing to unpack .../01-libavdevice58_7%3a4.2.1-2_amd64.deb ...
Unpacking libavdevice58:amd64 (7:4.2.1-2) over (7:4.1.3-1) ...
Preparing to unpack .../02-libavformat58_7%3a4.2.1-2_amd64.deb ...
Unpacking libavformat58:amd64 (7:4.2.1-2) over (7:4.1.3-1) ...
Preparing to unpack .../03-libavcodec-extra58_7%3a4.2.1-2_amd64.deb ...
Unpacking libavcodec-extra58:amd64 (7:4.2.1-2) over (7:4.1.3-1) ...
Preparing to unpack .../04-libswresample3_7%3a4.2.1-2_amd64.deb ...
Unpacking libswresample3:amd64 (7:4.2.1-2) over (7:4.1.3-1) ...
Preparing to unpack .../05-libpostproc55_7%3a4.2.1-2_amd64.deb ...
Unpacking libpostproc55:amd64 (7:4.2.1-2) over (7:4.1.3-1) ...
Preparing to unpack .../06-libavresample4_7%3a4.2.1-2_amd64.deb ...
Unpacking libavresample4:amd64 (7:4.2.1-2) over (7:4.1.3-1) ...
Preparing to unpack .../07-libavutil56_7%3a4.2.1-2_amd64.deb ...
Unpacking libavutil56:amd64 (7:4.2.1-2) over (7:4.1.3-1) ...
Selecting previously unselected package liblensfun-data-v1.
Preparing to unpack .../08-liblensfun-data-v1_0.3.2-4_all.deb ...
Unpacking liblensfun-data-v1 (0.3.2-4) ...
Selecting previously unselected package liblensfun1:amd64.
Preparing to unpack .../09-liblensfun1_0.3.2-4_amd64.deb ...
Unpacking liblensfun1:amd64 (0.3.2-4) ...
Selecting previously unselected package libavfilter-extra7:amd64.
Preparing to unpack .../10-libavfilter-extra7_7%3a4.2.1-2_amd64.deb ...
Unpacking libavfilter-extra7:amd64 (7:4.2.1-2) ...
Selecting previously unselected package libvpx6:amd64.
Preparing to unpack .../11-libvpx6_1.8.1-2_amd64.deb ...
Unpacking libvpx6:amd64 (1.8.1-2) ...
Selecting previously unselected package libdirectfb-1.7-7:amd64.
Preparing to unpack .../12-libdirectfb-1.7-7_1.7.7-9_amd64.deb ...
Unpacking libdirectfb-1.7-7:amd64 (1.7.7-9) ...
Selecting previously unselected package libdvdread7:amd64.
Preparing to unpack .../13-libdvdread7_6.0.2-2_amd64.deb ...
Unpacking libdvdread7:amd64 (6.0.2-2) ...
Selecting previously unselected package libenca0:amd64.
Preparing to unpack .../14-libenca0_1.19-1+b1_amd64.deb ...
Unpacking libenca0:amd64 (1.19-1+b1) ...
Selecting previously unselected package libvorbisidec1.
Preparing to unpack .../15-libvorbisidec1_1.2.1+git20180316-3_amd64.deb ...
Unpacking libvorbisidec1 (1.2.1+git20180316-3) ...
(Reading database ... 340674 files and directories currently installed.)
Removing newbreeze-plugins (3.0.0-rc7) ...
Removing libffmpegthumbnailer4v5 (2.1.1-0.2+b1) ...
Removing smplayer-l10n (18.10.0~ds0-1) ...
Selecting previously unselected package winff-gtk2.
(Reading database ... 340601 files and directories currently installed.)
Preparing to unpack .../winff-gtk2_1.5.5-6_amd64.deb ...
Unpacking winff-gtk2 (1.5.5-6) ...
dpkg: winff-qt: dependency problems, but removing anyway as you requested:
 winff depends on winff-gtk2 | winff-qt; however:
  Package winff-gtk2 is not configured yet.
  Package winff-qt is to be removed.

(Reading database ... 340607 files and directories currently installed.)
Removing winff-qt (1.5.5-6) ...
(Reading database ... 340601 files and directories currently installed.)
Preparing to unpack .../00-libqt5dbus5_5.12.5+dfsg-2_amd64.deb ...
Unpacking libqt5dbus5:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg1-4) ...
Preparing to unpack .../01-qt5-gtk-platformtheme_5.12.5+dfsg-2_amd64.deb ...
Unpacking qt5-gtk-platformtheme:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg1-4) ...
Preparing to unpack .../02-libqt5network5_5.12.5+dfsg-2_amd64.deb ...
Unpacking libqt5network5:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg1-4) ...
Selecting previously unselected package libxcb-xinput0:amd64.
Preparing to unpack .../03-libxcb-xinput0_1.13.1-2_amd64.deb ...
Unpacking libxcb-xinput0:amd64 (1.13.1-2) ...
Preparing to unpack .../04-libqt5gui5_5.12.5+dfsg-2_amd64.deb ...
Unpacking libqt5gui5:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg1-4) ...
Preparing to unpack .../05-fcitx-frontend-qt5_1.2.4-1_amd64.deb ...
Unpacking fcitx-frontend-qt5:amd64 (1.2.4-1) over (1.2.3-3) ...
Preparing to unpack .../06-uim-qt5_1%3a1.8.8-6+b1_amd64.deb ...
Unpacking uim-qt5 (1:1.8.8-6+b1) over (1:1.8.8-4+b1) ...
Preparing to unpack .../07-uim-qt5-immodule_1%3a1.8.8-6+b1_amd64.deb ...
Unpacking uim-qt5-immodule:amd64 (1:1.8.8-6+b1) over (1:1.8.8-4+b1) ...
Preparing to unpack .../08-uim-gtk3_1%3a1.8.8-6+b1_amd64.deb ...
Unpacking uim-gtk3 (1:1.8.8-6+b1) over (1:1.8.8-4+b1) ...
Preparing to unpack .../09-uim-gtk3-immodule_1%3a1.8.8-6+b1_amd64.deb ...
Unpacking uim-gtk3-immodule:amd64 (1:1.8.8-6+b1) over (1:1.8.8-4+b1) ...
Preparing to unpack .../10-uim-gtk2.0_1%3a1.8.8-6+b1_amd64.deb ...
Unpacking uim-gtk2.0 (1:1.8.8-6+b1) over (1:1.8.8-4+b1) ...
Preparing to unpack .../11-uim-gtk2.0-immodule_1%3a1.8.8-6+b1_amd64.deb ...
Unpacking uim-gtk2.0-immodule:amd64 (1:1.8.8-6+b1) over (1:1.8.8-4+b1) ...
Selecting previously unselected package libuim-data.
Preparing to unpack .../12-libuim-data_1%3a1.8.8-6_all.deb ...
Unpacking libuim-data (1:1.8.8-6) ...
Preparing to unpack .../13-uim-data_1%3a1.8.8-6_all.deb ...
Unpacking uim-data (1:1.8.8-6) over (1:1.8.8-4) ...
Setting up libuim-data (1:1.8.8-6) ...
Warning: Module anthy-utf8 is already registered
Warning: Module mozc is already registered
Setting up uim-data (1:1.8.8-6) ...
(Reading database ... 340617 files and directories currently installed.)
Preparing to unpack .../00-uim_1%3a1.8.8-6+b1_amd64.deb ...
Unpacking uim (1:1.8.8-6+b1) over (1:1.8.8-4+b1) ...
Preparing to unpack .../01-uim-anthy_1%3a1.8.8-6_all.deb ...
Unpacking uim-anthy (1:1.8.8-6) over (1:1.8.8-4) ...
Preparing to unpack .../02-libqt5widgets5_5.12.5+dfsg-2_amd64.deb ...
Unpacking libqt5widgets5:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg1-4) ...
Preparing to unpack .../03-libqt5waylandclient5_5.12.5-2_amd64.deb ...
Unpacking libqt5waylandclient5:amd64 (5.12.5-2) over (5.11.3-2) ...
Preparing to unpack .../04-libpyside2-5.11_5.11.2-3+b1_amd64.deb ...
Unpacking libpyside2-5.11 (5.11.2-3+b1) over (5.11.2-3) ...
Preparing to unpack .../05-libqt5quick5_5.12.5-3_amd64.deb ...
Unpacking libqt5quick5:amd64 (5.12.5-3) over (5.11.3-4) ...
Preparing to unpack .../06-qml-module-qtquick2_5.12.5-3_amd64.deb ...
Unpacking qml-module-qtquick2:amd64 (5.12.5-3) over (5.11.3-4) ...
Preparing to unpack .../07-libqt5positioning5_5.12.5+dfsg-2_amd64.deb ...
Unpacking libqt5positioning5:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg-2) ...
Preparing to unpack .../08-libqt5printsupport5_5.12.5+dfsg-2_amd64.deb ...
Unpacking libqt5printsupport5:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg1-4) ...
Preparing to unpack .../09-libqt5sensors5_5.12.5-2_amd64.deb ...
Unpacking libqt5sensors5:amd64 (5.12.5-2) over (5.11.3-2) ...
Preparing to unpack .../10-libqt5webchannel5_5.12.5-2_amd64.deb ...
Unpacking libqt5webchannel5:amd64 (5.12.5-2) over (5.11.3-2) ...
Preparing to unpack .../11-libqt5webkit5_5.212.0~alpha3-5_amd64.deb ...
Unpacking libqt5webkit5:amd64 (5.212.0~alpha3-5) over (5.212.0~alpha2-21) ...
Preparing to unpack .../12-libqt5quickwidgets5_5.12.5-3_amd64.deb ...
Unpacking libqt5quickwidgets5:amd64 (5.12.5-3) over (5.11.3-4) ...
Preparing to unpack .../13-libqt5waylandcompositor5_5.12.5-2_amd64.deb ...
Unpacking libqt5waylandcompositor5:amd64 (5.12.5-2) over (5.11.3-2) ...
Preparing to unpack .../14-libqt5qml5_5.12.5-3_amd64.deb ...
Unpacking libqt5qml5:amd64 (5.12.5-3) over (5.11.3-4) ...
Preparing to unpack .../15-qtwayland5_5.12.5-2_amd64.deb ...
Unpacking qtwayland5:amd64 (5.12.5-2) over (5.11.3-2) ...
Preparing to unpack .../16-qt5-style-plugins_5.0.0+git23.g335dbec-3+b3_amd64.deb ...
Unpacking qt5-style-plugins:amd64 (5.0.0+git23.g335dbec-3+b3) over (5.0.0+git23.g335dbec-2+b17) ...
Selecting previously unselected package qt5-gtk2-platformtheme:amd64.
Preparing to unpack .../17-qt5-gtk2-platformtheme_5.0.0+git23.g335dbec-3+b3_amd64.deb ...
Unpacking qt5-gtk2-platformtheme:amd64 (5.0.0+git23.g335dbec-3+b3) ...
Selecting previously unselected package qt5-style-plugin-cleanlooks:amd64.
Preparing to unpack .../18-qt5-style-plugin-cleanlooks_5.0.0+git23.g335dbec-3+b3_amd64.deb ...
Unpacking qt5-style-plugin-cleanlooks:amd64 (5.0.0+git23.g335dbec-3+b3) ...
Selecting previously unselected package qt5-style-plugin-motif:amd64.
Preparing to unpack .../19-qt5-style-plugin-motif_5.0.0+git23.g335dbec-3+b3_amd64.deb ...
Unpacking qt5-style-plugin-motif:amd64 (5.0.0+git23.g335dbec-3+b3) ...
Selecting previously unselected package qt5-style-plugin-plastique:amd64.
Preparing to unpack .../20-qt5-style-plugin-plastique_5.0.0+git23.g335dbec-3+b3_amd64.deb ...
Unpacking qt5-style-plugin-plastique:amd64 (5.0.0+git23.g335dbec-3+b3) ...
Preparing to unpack .../21-libqt5xml5_5.12.5+dfsg-2_amd64.deb ...
Unpacking libqt5xml5:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg1-4) ...
Preparing to unpack .../22-libqt5designer5_5.12.5-2_amd64.deb ...
Unpacking libqt5designer5:amd64 (5.12.5-2) over (5.11.3-4) ...
Preparing to unpack .../23-libqt5test5_5.12.5+dfsg-2_amd64.deb ...
Unpacking libqt5test5:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg1-4) ...
Preparing to unpack .../24-python3-pyqt5_5.12.3+dfsg-3+b1_amd64.deb ...
Unpacking python3-pyqt5 (5.12.3+dfsg-3+b1) over (5.12.3+dfsg-2) ...
Preparing to unpack .../25-libqt5xdgiconloader3_3.4.0-1_amd64.deb ...
Unpacking libqt5xdgiconloader3:amd64 (3.4.0-1) over (3.3.1-2) ...
Preparing to unpack .../26-lxqt-qtplugin_0.14.0-3+b1_amd64.deb ...
Unpacking lxqt-qtplugin:amd64 (0.14.0-3+b1) over (0.14.0-3) ...
Preparing to unpack .../27-libqt5webenginewidgets5_5.12.5+dfsg-3+b1_amd64.deb ...
Unpacking libqt5webenginewidgets5:amd64 (5.12.5+dfsg-3+b1) over (5.11.3+dfsg-2+b1) ...
Preparing to unpack .../28-libqt5webenginecore5_5.12.5+dfsg-3+b1_amd64.deb ...
Unpacking libqt5webenginecore5:amd64 (5.12.5+dfsg-3+b1) over (5.11.3+dfsg-2+b1) ...
Preparing to unpack .../29-libqt5webengine5_5.12.5+dfsg-3+b1_amd64.deb ...
Unpacking libqt5webengine5:amd64 (5.12.5+dfsg-3+b1) over (5.11.3+dfsg-2+b1) ...
Preparing to unpack .../30-libqt5webengine-data_5.12.5+dfsg-3_all.deb ...
Unpacking libqt5webengine-data (5.12.5+dfsg-3) over (5.11.3+dfsg-2) ...
Selecting previously unselected package libevent-2.1-7:amd64.
Preparing to unpack .../31-libevent-2.1-7_2.1.11-stable-1_amd64.deb ...
Unpacking libevent-2.1-7:amd64 (2.1.11-stable-1) ...
Preparing to unpack .../32-libqt5texttospeech5_5.12.5-1_amd64.deb ...
Unpacking libqt5texttospeech5:amd64 (5.12.5-1) over (5.11.3-3) ...
Preparing to unpack .../33-libqt5svg5_5.12.5-2_amd64.deb ...
Unpacking libqt5svg5:amd64 (5.12.5-2) over (5.11.3-3) ...
Preparing to unpack .../34-libqt5sql5_5.12.5+dfsg-2_amd64.deb ...
Unpacking libqt5sql5:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg1-4) ...
Preparing to unpack .../35-libqt5sql5-sqlite_5.12.5+dfsg-2_amd64.deb ...
Unpacking libqt5sql5-sqlite:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg1-4) ...
Preparing to unpack .../36-libqt5opengl5_5.12.5+dfsg-2_amd64.deb ...
Unpacking libqt5opengl5:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg1-4) ...
Preparing to unpack .../37-libqt5multimediagsttools5_5.12.5-1_amd64.deb ...
Unpacking libqt5multimediagsttools5:amd64 (5.12.5-1) over (5.11.3-2) ...
Preparing to unpack .../38-libqt5multimedia5-plugins_5.12.5-1_amd64.deb ...
Unpacking libqt5multimedia5-plugins:amd64 (5.12.5-1) over (5.11.3-2) ...
Preparing to unpack .../39-libqt5multimedia5_5.12.5-1_amd64.deb ...
Unpacking libqt5multimedia5:amd64 (5.12.5-1) over (5.11.3-2) ...
Preparing to unpack .../40-libqt5multimediawidgets5_5.12.5-1_amd64.deb ...
Unpacking libqt5multimediawidgets5:amd64 (5.12.5-1) over (5.11.3-2) ...
Preparing to unpack .../41-libkf5windowsystem5_5.62.0-2+b1_amd64.deb ...
Unpacking libkf5windowsystem5:amd64 (5.62.0-2+b1) over (5.54.0-1) ...
Preparing to unpack .../42-libkf5windowsystem-data_5.62.0-2_all.deb ...
Unpacking libkf5windowsystem-data (5.62.0-2) over (5.54.0-1) ...
Selecting previously unselected package libxcb-res0:amd64.
Preparing to unpack .../43-libxcb-res0_1.13.1-2_amd64.deb ...
Unpacking libxcb-res0:amd64 (1.13.1-2) ...
Preparing to unpack .../44-libkf5xmlgui5_5.62.0-1+b1_amd64.deb ...
Unpacking libkf5xmlgui5:amd64 (5.62.0-1+b1) over (5.62.0-1) ...
Preparing to unpack .../45-libfm-qt6_0.14.1-12_amd64.deb ...
Unpacking libfm-qt6:amd64 (0.14.1-12) over (0.14.1-11) ...
Selecting previously unselected package libdouble-conversion3:amd64.
Preparing to unpack .../46-libdouble-conversion3_3.1.5-3_amd64.deb ...
Unpacking libdouble-conversion3:amd64 (3.1.5-3) ...
Preparing to unpack .../47-libqt5script5_5.12.5+dfsg-2_amd64.deb ...
Unpacking libqt5script5:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg-3) ...
Preparing to unpack .../48-libqt5core5a_5.12.5+dfsg-2_amd64.deb ...
Unpacking libqt5core5a:amd64 (5.12.5+dfsg-2) over (5.11.3+dfsg1-1) ...
Preparing to unpack .../49-qtpass-dbgsym_1.3.2-1_amd64.deb ...
Unpacking qtpass-dbgsym (1.3.2-1) over (1.3.0-2) ...
Preparing to unpack .../50-qtpass_1.3.2-1_amd64.deb ...
Unpacking qtpass (1.3.2-1) over (1.3.0-2) ...
Setting up libxcb-res0:amd64 (1.13.1-2) ...
Setting up libdouble-conversion3:amd64 (3.1.5-3) ...
Setting up libqt5webengine-data (5.12.5+dfsg-3) ...
Setting up libxcb-xinput0:amd64 (1.13.1-2) ...
Setting up libvorbisidec1 (1.2.1+git20180316-3) ...
Setting up libenca0:amd64 (1.19-1+b1) ...
Setting up libdvdread7:amd64 (6.0.2-2) ...
Setting up libkf5windowsystem-data (5.62.0-2) ...
Removing obsolete conffile /etc/xdg/kwindowsystem.categories ...
Setting up liblensfun-data-v1 (0.3.2-4) ...
Setting up libavutil56:amd64 (7:4.2.1-2) ...
Setting up liblensfun1:amd64 (0.3.2-4) ...
Setting up libevent-2.1-7:amd64 (2.1.11-stable-1) ...
Setting up libpostproc55:amd64 (7:4.2.1-2) ...
Setting up libqt5core5a:amd64 (5.12.5+dfsg-2) ...
Setting up uim (1:1.8.8-6+b1) ...
Setting up libvpx6:amd64 (1.8.1-2) ...
Setting up libqt5dbus5:amd64 (5.12.5+dfsg-2) ...
Setting up libswscale5:amd64 (7:4.2.1-2) ...
Setting up libqt5sensors5:amd64 (5.12.5-2) ...
Setting up libqt5test5:amd64 (5.12.5+dfsg-2) ...
Setting up libdirectfb-1.7-7:amd64 (1.7.7-9) ...
Setting up libqt5positioning5:amd64 (5.12.5+dfsg-2) ...
Setting up libqt5script5:amd64 (5.12.5+dfsg-2) ...
Setting up libswresample3:amd64 (7:4.2.1-2) ...
Setting up libavresample4:amd64 (7:4.2.1-2) ...
Setting up libqt5network5:amd64 (5.12.5+dfsg-2) ...
Setting up uim-gtk2.0-immodule:amd64 (1:1.8.8-6+b1) ...
Setting up libqt5sql5:amd64 (5.12.5+dfsg-2) ...
Setting up uim-gtk3-immodule:amd64 (1:1.8.8-6+b1) ...
Setting up libqt5texttospeech5:amd64 (5.12.5-1) ...
Setting up libqt5xml5:amd64 (5.12.5+dfsg-2) ...
Setting up libqt5qml5:amd64 (5.12.5-3) ...
Setting up uim-anthy (1:1.8.8-6) ...
Warning: Module anthy-utf8 is already registered
Setting up uim-gtk2.0 (1:1.8.8-6+b1) ...
Setting up libqt5webchannel5:amd64 (5.12.5-2) ...
Setting up libqt5sql5-sqlite:amd64 (5.12.5+dfsg-2) ...
Setting up libavcodec-extra58:amd64 (7:4.2.1-2) ...
Setting up libavformat58:amd64 (7:4.2.1-2) ...
Setting up libqt5gui5:amd64 (5.12.5+dfsg-2) ...
Setting up libpyside2-5.11 (5.11.2-3+b1) ...
Setting up libavfilter-extra7:amd64 (7:4.2.1-2) ...
Setting up libqt5widgets5:amd64 (5.12.5+dfsg-2) ...
Setting up qt5-style-plugin-motif:amd64 (5.0.0+git23.g335dbec-3+b3) ...
Setting up uim-gtk3 (1:1.8.8-6+b1) ...
Setting up qt5-gtk-platformtheme:amd64 (5.12.5+dfsg-2) ...
Setting up libqt5waylandclient5:amd64 (5.12.5-2) ...
Setting up libqt5multimedia5:amd64 (5.12.5-1) ...
Setting up libqt5xdgiconloader3:amd64 (3.4.0-1) ...
Setting up libqt5printsupport5:amd64 (5.12.5+dfsg-2) ...
Setting up mplayer (2:1.3.0-8+b5) ...
Setting up libavdevice58:amd64 (7:4.2.1-2) ...
Setting up libqt5opengl5:amd64 (5.12.5+dfsg-2) ...
Setting up qt5-style-plugin-cleanlooks:amd64 (5.0.0+git23.g335dbec-3+b3) ...
Setting up uim-qt5-immodule:amd64 (1:1.8.8-6+b1) ...
Setting up ffmpeg (7:4.2.1-2) ...
Setting up lxqt-qtplugin:amd64 (0.14.0-3+b1) ...
Setting up winff-gtk2 (1.5.5-6) ...
update-alternatives: using /usr/bin/winff-gtk2 to provide /usr/bin/winff (winff) in auto mode
Setting up libkf5windowsystem5:amd64 (5.62.0-2+b1) ...
Setting up libqt5quick5:amd64 (5.12.5-3) ...
Setting up libfm-qt6:amd64 (0.14.1-12) ...
Setting up libqt5designer5:amd64 (5.12.5-2) ...
Setting up qt5-gtk2-platformtheme:amd64 (5.0.0+git23.g335dbec-3+b3) ...
Setting up fcitx-frontend-qt5:amd64 (1.2.4-1) ...
Setting up qt5-style-plugin-plastique:amd64 (5.0.0+git23.g335dbec-3+b3) ...
Setting up libqt5svg5:amd64 (5.12.5-2) ...
Setting up qtpass (1.3.2-1) ...
Setting up libqt5webkit5:amd64 (5.212.0~alpha3-5) ...
Setting up libkf5xmlgui5:amd64 (5.62.0-1+b1) ...
Setting up uim-qt5 (1:1.8.8-6+b1) ...
Setting up libqt5quickwidgets5:amd64 (5.12.5-3) ...
Setting up libqt5waylandcompositor5:amd64 (5.12.5-2) ...
Setting up qt5-style-plugins:amd64 (5.0.0+git23.g335dbec-3+b3) ...
Setting up libqt5multimediawidgets5:amd64 (5.12.5-1) ...
Setting up libqt5multimediagsttools5:amd64 (5.12.5-1) ...
Setting up libqt5webenginecore5:amd64 (5.12.5+dfsg-3+b1) ...
Setting up libqt5multimedia5-plugins:amd64 (5.12.5-1) ...
Setting up qml-module-qtquick2:amd64 (5.12.5-3) ...
Setting up qtpass-dbgsym (1.3.2-1) ...
Setting up python3-pyqt5 (5.12.3+dfsg-3+b1) ...
Setting up qtwayland5:amd64 (5.12.5-2) ...
Setting up libqt5webengine5:amd64 (5.12.5+dfsg-3+b1) ...
Setting up libqt5webenginewidgets5:amd64 (5.12.5+dfsg-3+b1) ...
Processing triggers for mime-support (3.64) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for libgtk-3-0:amd64 (3.24.12-1) ...
Processing triggers for libgtk2.0-0:amd64 (2.24.32-4) ...
Processing triggers for libc-bin (2.29-2) ...
Processing triggers for man-db (2.9.0-1) ...
Processing triggers for shared-mime-info (1.10-1) ...
Processing triggers for desktop-file-utils (0.24-1) ...
s
scott092707
 
Posts: 15
Joined: 2019-04-19 00:07

Re: QtPass install installs/removes/upgrades many packages

Postby Dai_trying » 2019-12-13 06:34

Since you are using "Testing" it is assumed that you have a good understanding of how the system works and you have the ability to trace faults and report them, I am guessing this is not the case here as you appear to be using an Ubuntu PPA which breaks Debian Rule 1 https://wiki.debian.org/DontBreakDebian .

However, there are some things you can do to remedy your system as far as that is concerned which would involve removing Ubuntu PPA's from your sources.list and then cleansing (or replacing) any packages that have been installed from them.

This in itself if not a guarantee of a working system though, remember you are using "Testing" (and not with the default kernel either).
Dai_trying
 
Posts: 940
Joined: 2016-01-07 12:25

Re: QtPass install installs/removes/upgrades many packages

Postby scott092707 » 2019-12-18 02:35

>remember you are using "Testing" (and not with the default kernel either)
When I installed "Testing", it included the kernel you see here, and it has never upgraded it, nor have I changed it.

>you appear to be using an Ubuntu PPA which breaks Debian Rule 1
I use only one package from that PPA, mkusb, which as far as I know, is not available elsewhere...

I just point out, that I had already installed qtpass, a version of which did not work.
When an updated version appeared, which on my bug report for that bug, debian reported
that that newer version fixed the bug, I then invoked apt-get to install it.

Since I had installed it before, then all dependencies would have been satisfied before as well
aside from what packages it depends on might have changed (few, if any).
So to have apt-get remove 9 packages and add/upgrade 84 others is obviously not right.
scott092707
 
Posts: 15
Joined: 2019-04-19 00:07

Re: QtPass install installs/removes/upgrades many packages

Postby Bulkley » 2019-12-18 06:01

Scott, go back and re-read the post by Dai_trying. That's good advice.
Bulkley
 
Posts: 5995
Joined: 2006-02-11 18:35

Re: QtPass install installs/removes/upgrades many packages

Postby Head_on_a_Stick » 2019-12-18 16:52

scott092707 wrote:When I installed "Testing", it included the kernel you see here, and it has never upgraded it, nor have I changed it.

Then you should install the kernel metapackage, testing is bad enough in respect of kernel vulnerabilities even if you keep it updated. Using a old version is like leaving your front door unlocked.

scott092707 wrote:I use only one package from that PPA, mkusb, which as far as I know, is not available elsewhere...

https://wiki.debian.org/CreatePackageFromPPA

Note that testing doesn't have "-updates" and it is not covered by the Security Team either so it's a poor choice if security is a concern. You might have better luck with sid anyway 'cos that gets the upstream fixes quicker.
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12511
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: QtPass install installs/removes/upgrades many packages

Postby scott092707 » 2020-01-04 20:13

I would still like to know why...

1: ...since I had already installed it (and whatever dependencies it has, naturally), why all of this other stuff would happen.

2: ...why all of this seems to have to do with audio/visual packages, when neither qtpass, nor mkusb
(the only non-debian package source) has anything to do with that subject.
scott092707
 
Posts: 15
Joined: 2019-04-19 00:07

Re: QtPass install installs/removes/upgrades many packages

Postby scott092707 » 2020-01-04 20:22

BTW, when:

https://wiki.debian.org/CreatePackageFromPPA


was suggested, was it assumed I would then just use the generated package locally,
or provide it to Debian package repositories?
The latter seems rude/presumptious, as I am not the program's author. It also would
seem to suggest that I would then be the Debian package maintainer, which I am not
prepared/competent to do...

(Also, is it assumed that a package generated by the above procedure would be a better
package in some way than the one provided by the author at the PPA?)
scott092707
 
Posts: 15
Joined: 2019-04-19 00:07

Re: QtPass install installs/removes/upgrades many packages

Postby scott092707 » 2020-01-06 00:39

In a private message sent to me, I was told:
I would still like to know why...

1: ...since I had already installed it (and whatever dependencies it has, naturally), why all of this other stuff would happen.

2: ...why all of this seems to have to do with audio/visual packages, when neither qtpass, nor mkusb
(the only non-debian package source) has anything to do with that subject.


The reason why, is probably because using both ubuntu and debian repository at the same time creates an umanageable system, because they use different versioning and dependencies.

When you added the ubuntu repo, you told apt to use it for ALL cases of installing or updating, not just for the one pkg you installed.

It's a beginner mistake, lots of threads on the forum about it. Usually it will require reinstallation to fix, because the more you poke at it, the more complicated it becomes.

.
I would not be such an idiot as to include a main Ubuntu repo amongst my otherwise Debian repos.

The mkusb PPA is designed only for the program mkusb and its variants/sub-programs.
It has precisely 6 packages, none of which is available from a Debian repo, and any dependencies that cannot be satisfied by packages from one of the other 5 from the PPA
are therefore satisfied by packages in Debian repos.

Here are the 6 packages:

Code: Select all
Package: dus
Source: mkusb
Priority: optional
Section: misc
Installed-Size: 177
Maintainer: Jörn Schönyan <joern.schoenyan@web.de>
Architecture: all
Version: 12.3.9-1ubuntu1
Recommends: rsync, tar, dialog, mkusb-common (>= 12.0.5)
Suggests: zenity, guidus, usb-pack-efi
Depends: pv, parted, gdisk, util-linux, coreutils, mount, gzip, xz-utils, xterm
Filename: pool/main/m/mkusb/dus_12.3.9-1ubuntu1_all.deb
Size: 46112
MD5sum: cdef216c806c274069c40e3b1061f061
SHA1: 158d8d4f651344baac24cbb9298cb7f456f31d3c
SHA256: 389fffc7f47dbea1a58252bbc62fcd0d735d36ba6d4b820d905faedef8785192
Description: dus - Do USB Stuff, tool to create boot drives
Description-md5: f797bc3995077cba90fc221e0f7889ae

Package: guidus
Source: mkusb
Priority: optional
Section: misc
Installed-Size: 22
Maintainer: Jörn Schönyan <joern.schoenyan@web.de>
Architecture: all
Version: 12.3.9-1ubuntu1
Depends: dus, zenity, mkusb-common (>= 12.0.5)
Filename: pool/main/m/mkusb/guidus_12.3.9-1ubuntu1_all.deb
Size: 12112
MD5sum: 5744509c09d9df1c0b2b214996b1651d
SHA1: 997e3158d950e2e96ba8ac9e59b356873843e972
SHA256: 79e7d2f0addacceab78f730be0564aaf4adc0ffceea2cbcdc8b80d371ce0fa0a
Description: guidus - GUI for dus, tool to create boot drives
Description-md5: b7ae5dc59d39387196465c6bf14d4d43

Package: mkusb
Priority: optional
Section: misc
Installed-Size: 188
Maintainer: Jörn Schönyan <joern.schoenyan@web.de>
Architecture: all
Version: 12.3.9-1ubuntu1
Suggests: usb-pack-efi
Depends: gdisk, pv, xterm, wmctrl, zenity, rsync, mkusb-common (>= 12.0.5), guidus, mkusb-nox
Filename: pool/main/m/mkusb/mkusb_12.3.9-1ubuntu1_all.deb
Size: 50538
MD5sum: 5fbc06cfdd041b8d090a25a115d42e10
SHA1: 7d925e88a9cfa1b634825a11ce64672deeaffb27
SHA256: c68fa856b013bf8baadc10e418f84076be6708d9974e5e3ae5474e5d8c615768
Description: mkusb - tool to create boot drives
Description-md5: 06649dbfbdf851ca68ba1b78a9b467eb

Package: mkusb-common
Source: mkusb
Priority: optional
Section: misc
Installed-Size: 71
Maintainer: Jörn Schönyan <joern.schoenyan@web.de>
Architecture: all
Version: 12.3.9-1ubuntu1
Replaces: dus (<< 12.0.5), mkusb (<< 12.0.5)
Breaks: dus (<< 12.0.5), mkusb (<< 12.0.5)
Filename: pool/main/m/mkusb/mkusb-common_12.3.9-1ubuntu1_all.deb
Size: 23474
MD5sum: 734540ee07c232a720ea358fb32e0367
SHA1: 984ab6141aa0d915dcf62c7d5b5ded7199470b87
SHA256: 39142c7e84bf531885d26a4139749a29ac047fdab04c7713c180ce7f24f75177
Description: mkusb-common - common package for mkusb, dus, and related program packages
Description-md5: 3580aec2be1b9b3e14bea5c5c18d472d

Package: mkusb-nox
Source: mkusb
Priority: optional
Section: misc
Installed-Size: 63
Maintainer: Jörn Schönyan <joern.schoenyan@web.de>
Architecture: all
Version: 12.3.9-1ubuntu1
Recommends: pv
Filename: pool/main/m/mkusb/mkusb-nox_12.3.9-1ubuntu1_all.deb
Size: 23968
MD5sum: 02aaadf6580e5a87b7b642a2519ca82d
SHA1: 1acfbba3e105fd6589b4dd10d256f34fbed11d55
SHA256: 032e6a2b643897a4b795ef266e6f3e4db276bb62a60e99fec7084a1580cf4fa9
Description: mkusb-nox - tool to create boot drives - No-X-version of mkusb
Description-md5: 39e4b26a88ccd17e574d69d76bad17ff

Package: usb-pack-efi
Source: mkusb
Priority: optional
Section: misc
Installed-Size: 5121
Maintainer: Jörn Schönyan <joern.schoenyan@web.de>
Architecture: all
Version: 12.3.9-1ubuntu1
Filename: pool/main/m/mkusb/usb-pack-efi_12.3.9-1ubuntu1_all.deb
Size: 4069730
MD5sum: f0fe1989cdb5f5ee89b7a4a887a54508
SHA1: 3e5dab4586d8ea2b9f2ca5f2b8428b93ce47bd45
SHA256: 131bc809e905b65ae43acff567a9b6a3e2071cd09787c9624d5712b7d5c41e2e
Description: usb-pack-efi - help package for mkusb
Description-md5: 07f9210590cc7951d1aef514a121da14



So, again, I ask my two questions, as it is patently clear that the problem is not caused by repository clashes.
scott092707
 
Posts: 15
Joined: 2019-04-19 00:07

Re: QtPass install installs/removes/upgrades many packages

Postby Dai_trying » 2020-01-06 08:15

If you are absolutely certain that using this Ubuntu PPA has not had any impact on your Debian system you could report this problem as a bug (as my understanding is Testing users help to create a stable version this way) and maybe there will be a fix coming soon.
Dai_trying
 
Posts: 940
Joined: 2016-01-07 12:25


Return to General Questions

Who is online

Users browsing this forum: No registered users and 16 guests

fashionable